"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Article = void 0;
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
const react_1 = require("@emotion/react");
const variables_1 = require("../lib/variables");
const MaterialSymbol_1 = require("./MaterialSymbol");
const react_2 = require("react");
const embed_init_scripts_1 = require("../lib/embed-init-scripts");
const Article = ({ renderedBody, tags, title }) => {
    const bodyElement = (0, react_2.useRef)(null);
    const [isOpen, setIsOpen] = (0, react_2.useState)(localStorage.getItem("openArticleState") === "true" ? true : false);
    const [isRendered, setIsRendered] = (0, react_2.useState)(false);
    const toggleAccordion = (event) => {
        event.preventDefault();
        setIsOpen((prev) => !prev);
    };
    (0, react_2.useEffect)(() => {
        localStorage.setItem("openArticleState", JSON.stringify(isOpen));
    }, [isOpen]);
    (0, react_2.useEffect)(() => {
        if (isRendered) {
            bodyElement.current && (0, embed_init_scripts_1.executeScriptTagsInElement)(bodyElement.current);
            bodyElement.current && (0, embed_init_scripts_1.applyMathJax)(bodyElement.current);
        }
    }, [isRendered, bodyElement, renderedBody]);
    (0, react_2.useEffect)(() => {
        setIsRendered(true);
    }, []);
    return ((0, jsx_runtime_1.jsxs)("article", { css: containerStyle, children: [(0, jsx_runtime_1.jsx)("h1", { css: titleStyle, children: title }), (0, jsx_runtime_1.jsxs)("div", { css: tagListWrapStyle, children: [(0, jsx_runtime_1.jsx)(MaterialSymbol_1.MaterialSymbol, { fill: true, css: { color: variables_1.Colors.mediumEmphasis }, children: "sell" }), (0, jsx_runtime_1.jsx)("ul", { css: tagListStyle, children: tags.map((tag, index) => ((0, jsx_runtime_1.jsxs)("li", { children: [(0, jsx_runtime_1.jsx)("span", { children: tag }), index !== tags.length - 1 && (0, jsx_runtime_1.jsx)("span", { children: "," })] }, tag))) })] }), (0, jsx_runtime_1.jsx)("div", { css: bodyStyle, className: "it-MdContent", ref: bodyElement, children: (0, jsx_runtime_1.jsx)("div", { dangerouslySetInnerHTML: { __html: renderedBody } }) })] }));
};
exports.Article = Article;
const containerStyle = (0, react_1.css)({
    wordBreak: "break-word",
});
const titleStyle = (0, react_1.css)({
    fontSize: variables_1.Typography.headline1,
    fontWeight: variables_1.Weight.bold,
    lineHeight: variables_1.LineHeight.headline,
});
const tagListWrapStyle = (0, react_1.css)({
    marginTop: (0, variables_1.getSpace)(1),
    alignItems: "center",
    display: "flex",
    gap: (0, variables_1.getSpace)(1),
});
const tagListStyle = (0, react_1.css)({
    display: "flex",
    gap: (0, variables_1.getSpace)(1),
});
const bodyStyle = (0, react_1.css)({
    marginTop: (0, variables_1.getSpace)(6),
});
//# sourceMappingURL=Article.js.map